complexType "ExchangeTradedOption"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 14 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, relatedExchangeId*, optionsExchangeId*, specifiedExchangeId*, multiplier?, contractReference?, expirationDate?, strike?, optionType?
</...>

Content Model Elements (14):

  clearanceSystem, contractReference, currency (defined in UnderlyingAsset complexType), definition, description (defined in IdentifiedAsset complexType), exchangeId (defined in UnderlyingAsset complexType), expirationDate (in option), | instrumentId (defined in IdentifiedAsset complexType), multiplier (in option), optionsExchangeId, optionType, relatedExchangeId, specifiedExchangeId, strike

All Direct / Indirect Based Elements (1):

  option

Known Usage Locations

- As direct type of elements (1):
  option

Annotation
An exchange traded option.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) ExchangeTraded (extension) ExchangeTradedContract (extension) ExchangeTradedOption

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExchangeTradedOption"> <xsd:complexContent> <xsd:extension base="ExchangeTradedContract"> <xsd:sequence> <xsd:element minOccurs="0" name="strike" type="xsd:decimal"/> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/14)
optionType

  Type: | PutCallEnum, simple content

  Specifies whether the option allows the hodler to buy or sell tne underlying asset.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Put" | - | A put option gives the holder the right to sell the underlying asset by a certain date for a certain price. See: http://www.FpML.org
  "Call" | - | A call option gives the holder the right to buy the underlying asset by a certain date for a certain price. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/>

strike

  Type: | xsd:decimal, predefined, simple content

  Specifies the price at which the option can be exercised.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strike" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.